Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class PingMe

    java.lang.Object
      org.drupal.project.async_command.AsyncCommand
          org.drupal.project.async_command.PingMe

All Implemented Interfaces:
  java.lang.Runnable

    public class PingMe

extends AsyncCommand

Simple command to test Drupal database connection.

Nested Class Summary

Nested classes/interfaces inherited from class org.drupal.project.async_command.AsyncCommand
`AsyncCommand.Status`

Field Summary

Fields inherited from class org.drupal.project.async_command.AsyncCommand
`drupalApp, logger, record`

Constructor Summary
`PingMe(CommandRecord record, GenericDrupalApp drupalApp)`

Method Summary
`void` | `run()` Run this command.

Methods inherited from class org.drupal.project.async_command.AsyncCommand
`evaluate, getDrupalConnection, getIdentifier, setDrupalApp, setRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingMe

    public PingMe(CommandRecord record,
                  GenericDrupalApp drupalApp)

Method Detail

### run

    public void run()

  Description copied from class: `AsyncCommand`
  Run this command. All parameters should be set before executing this command, preferably in the constructor. After execution, the field 'record' should have the final results. This method is not responsible to save status results back to the database. It's only responsible to run the command and set the command record.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `AsyncCommand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD